/*!
  * Licensed Materials - Property of IBM
  * 5725N95, 5725P55, 5725N96
  * (C) Copyright IBM Corp. 1999, 2014.
  * US Government Users Restricted Rights- Use, duplication or disclosure
  * restricted by GSA ADP Schedule Contract with IBM Corp.
 */

 /* $Id$ */
 
function NewLO(loID, usePopup, options)
{
	baseViewer.NewLO(loID, usePopup, options);
}

function NewPage(topicId, usePopup, options)
{
	baseViewer.NewPage(topicId, usePopup, options);
}

function NewGrouping(groupId, usePopup, options)
{
	baseViewer.NewGrouping(groupId, usePopup, options);
}

function NewContent(contentId, usePopup, options)
{
	baseViewer.NewContent(contentId, usePopup, options);
}

function NewAssessment(id, usePopup, options)
{
	baseViewer.NewAssessment(id, usePopup, options);
}

function NewSurvey(id, usePopup, options)
{
	baseViewer.NewSurvey(id, usePopup, options);
}

function NewExternalContent(id, usePopup, parentID, objLevel)
{
	baseViewer.NewExternalContent(id, usePopup, parentID, objLevel);
}

function NewExternalContainer(id, usePopup, options)
{
	baseViewer.NewExternalContainer(id, usePopup, options);
}

function NewSimContent(id, parentID, instanceID, openSettings)
{
	baseViewer.NewSimContent(id, parentID, instanceID, openSettings);
}

function NewCMIDetail(instanceID, contentID, stem, bExported )
{
	baseViewer.NewCMIDetail( instanceID, contentID, stem, bExported );
}

function NewMedia(id, usePopup, options)
{
	baseViewer.NewMedia(id, usePopup, options);
}

function NewPrescription( assessID, studentAssessID, objectID, objectTypeID, level, courseID, doModal)
{
	baseViewer.NewPrescription( assessID, studentAssessID, objectID, objectTypeID, level, courseID, doModal);
}

function NewAssessment( assessID, objectID, objectTypeID, level, courseID, doModal)
{
	baseViewer.NewAssessment( assessID, objectID, objectTypeID, level, courseID, doModal);
}

function OpenWindow(newin,windowname)
{
	baseViewer.OpenWindow(newin,windowname);
}

function LaunchExport(objectID)
{
	baseViewer.LaunchExport(objectID);
}

function NextTopic()
{
	parent.frames.menu.NextPage();
}

function jumpTopic(topicID)
{
	parent.frames.menu.topicJumpTo(topicID);
}
// Duc - #27214: added to fix navigation problem with group tabs.
function jumpToGroup(groupID, groupTypeID, doLinearNav)
{
	baseViewer.jumpToGroup(groupID, groupTypeID, doLinearNav);
}
function LaunchObject(objectTypeId, objectId)
{
	switch (objectTypeId)
	{
		case 7:
			NewExternalContent(objectId);
			break;
		case 3:
			NewLO(objectId);
			break;
		case 2:
			NewPage(objectId);
			break;
		case 11:
			NewGrouping(objectId);
			break;
		case 6:
			NewAssessment(objectId);
			break;
		case 13:
			NewSurvey(objectId);
			break;
		default:
			alert("No support for object type "+objectTypeId+" in LaunchObject()");
			break;
	}
}